Bug 1785711 (CVE-2019-17563) - CVE-2019-17563 tomcat: session fixation when using FORM authentication
Summary: CVE-2019-17563 tomcat: session fixation when using FORM authentication
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-17563
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1785712 1785713 1801782 1801784 1801845 1812455
Blocks: 1785717
TreeView+ depends on / blocked
 
Reported: 2019-12-20 18:30 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-10-26 16:00 UTC (History)
40 users (show)

Fixed In Version: tomcat 7.0.99, tomcat 8.5.50, tomcat 9.0.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-17 16:31:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4122 None None None 2020-09-30 11:18:47 UTC
Red Hat Product Errata RHBA-2020:4123 None None None 2020-09-30 11:06:09 UTC
Red Hat Product Errata RHBA-2020:4124 None None None 2020-09-30 11:05:36 UTC
Red Hat Product Errata RHBA-2020:4169 None None None 2020-10-05 10:46:59 UTC
Red Hat Product Errata RHBA-2020:4241 None None None 2020-10-13 15:45:44 UTC
Red Hat Product Errata RHBA-2020:4345 None None None 2020-10-26 16:00:31 UTC
Red Hat Product Errata RHSA-2020:0860 None None None 2020-03-17 13:10:56 UTC
Red Hat Product Errata RHSA-2020:0861 None None None 2020-03-17 13:12:40 UTC
Red Hat Product Errata RHSA-2020:1520 None None None 2020-04-21 11:06:48 UTC
Red Hat Product Errata RHSA-2020:1521 None None None 2020-04-21 10:55:54 UTC
Red Hat Product Errata RHSA-2020:4004 None None None 2020-09-29 20:30:59 UTC

Description Guilherme de Almeida Suckevicz 2019-12-20 18:30:26 UTC
When using FORM authentication there was a narrow window where an attacker could perform a session fixation attack. The window was considered too narrow for an exploit to be practical but, erring on the side of caution, this issue has been treated as a security vulnerability.

Reference:
https://tomcat.apache.org/security-7.html
https://tomcat.apache.org/security-8.html
http://tomcat.apache.org/security-9.html

Upstream commits:
https://github.com/apache/tomcat/commit/ab72a10
https://github.com/apache/tomcat/commit/e19a202
https://github.com/apache/tomcat/commit/1ecba14

Comment 1 Guilherme de Almeida Suckevicz 2019-12-20 18:30:52 UTC
Created tomcat tracking bugs for this issue:

Affects: epel-all [bug 1785712]
Affects: fedora-all [bug 1785713]

Comment 13 errata-xmlrpc 2020-03-17 13:10:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2020:0860 https://access.redhat.com/errata/RHSA-2020:0860

Comment 14 errata-xmlrpc 2020-03-17 13:12:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 7
  Red Hat JBoss Web Server 3 for RHEL 6

Via RHSA-2020:0861 https://access.redhat.com/errata/RHSA-2020:0861

Comment 15 Product Security DevOps Team 2020-03-17 16:31:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-17563

Comment 18 errata-xmlrpc 2020-04-21 10:55:50 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2020:1521 https://access.redhat.com/errata/RHSA-2020:1521

Comment 19 errata-xmlrpc 2020-04-21 11:06:44 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 5.3 on RHEL 7
  Red Hat JBoss Web Server 5.3 on RHEL 6
  Red Hat JBoss Web Server 5.3 on RHEL 8

Via RHSA-2020:1520 https://access.redhat.com/errata/RHSA-2020:1520

Comment 20 errata-xmlrpc 2020-09-29 20:30:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4004 https://access.redhat.com/errata/RHSA-2020:4004


Note You need to log in before you can comment on or make changes to this bug.